%define anolis_release 3

Name:           keenopt
Version:        2.3.1
Release:        %{?anolis_release}%{?dist}
Summary:        Auto-Tuning algorithm library of KeenTune
Vendor:         Alibaba
License:        MulanPSLv2
Group:          Development/Languages/Python
Source0:        https://gitee.com/anolis/keenopt/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Auto-Tuning algorithm module of KeenTune

%prep
%autosetup -n keenopt-v%{version}

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/keentune/keenopt
cp -f keenopt/keenopt.conf ${RPM_BUILD_ROOT}/etc/keentune/keenopt

%{__python3} setup.py install --single-version-externally-managed -O1 \
                              --root=%{buildroot} \
                              --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-v%{version}


%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.md
%license LICENSE
%dir %{_sysconfdir}/keentune/keenopt

%changelog
* Thu Mar 14 2024 Bo Ren <rb01097748@alibaba-inc.com> - 2.3.1-3
- Rebuild with python3.11

* Tue Jan 02 2023 happy_orange <songnannan@linux.alibaba.com> - 2.3.1-2
- fix the version number

* Thu Dec 28 2023 Runzhe Wang <runzhe.wrz@alibaba-inc.com> - 2.3.1-1
- An official version merged all 2.3.0-* release version

* Mon Dec 11 2023 Runzhe Wang <runzhe.wrz@alibaba-inc.com> - 2.1.0-6
- fix bug

* Tue Apr 25 2023 Runzhe Wang <runzhe.wrz@alibaba-inc.com> - 2.1.0-5
- install test case of keenopt

* Fri Apr 21 2023 Qinglong Wang <xifu.wql@alibaba-inc.com> - 2.1.0-4
- add unit test case

* Mon Apr 10 2023 Qinglong Wang <xifu.wql@alibaba-inc.com> - 2.1.0-2
- add: add keenopt.conf
- fix: update optimization

* Wed Apr 5 2023 Qinglong Wang <xifu.wql@alibaba-inc.com> - 2.1.0-1
- add: add new algorithms of ksh

* Fri Jan 13 2023 Qinglong Wang <xifu.wql@alibaba-inc.com> - 2.0.0-1
- fix: update simulation
- fix: delete unused import matplotlib
- fix: update no step

* Fri Nov 25 2022 Qinglong Wang <xifu.wql@alibaba-inc.com> - 1.5.0-1
- add: KeenTune oiptimization algorithm library
